#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1
%define module libkscreen

Summary:        Display configuration library
Name:           %module
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{module}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(QJson) >= 0.8.1

BuildRequires:  cmake(KF5Wayland)

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%rename plasma5-%module

%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files
%_kf5_bindir/kscreen-doctor
%_kf5_plugindir/kscreen
%_libexecdir/kf5/kscreen_backend_launcher
%_datadir/dbus-1/services/org.kde.kscreen.service

#--------------------------------------------------------------------

%define kf5kscreen_major 5
%define libkf5kscreen %mklibname kf5kscreen %{kf5kscreen_major}

%package -n %libkf5kscreen
Summary:  Display configuration library
Group:        System/Libraries

%description -n %libkf5kscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkf5kscreen
%_kf5_libdir/libKF5Screen.so.%{kf5kscreen_major}*
%_kf5_libdir/libKF5Screen.so.7

#--------------------------------------------------------------------

%define kf5kscreen_devel %mklibname kf5kscreen -d

%package -n %kf5kscreen_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kscreen = %{version}-%{release}

Requires:       pkgconfig(QJson) >= 0.8.1
Requires:       pkgconfig(Qt5Core)

Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kscreen_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kscreen_devel
%_kf5_includedir/KScreen
%_libdir/pkgconfig/kscreen2.pc
%_libdir/qt5/mkspecs/modules/qt_KScreen.pri
%_kf5_includedir/kscreen_version.h
%_kf5_libdir/cmake/KF5Screen
%_kf5_libdir/libKF5Screen.so

#--------------------------------------------------------------------


%prep
%setup -q -n %module-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089033
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078168
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070725
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065082
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064486
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063056
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060281
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057607
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053063
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052690
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048355
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044276
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042564
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041401
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039566
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1021878
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014546
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009283
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999267
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998022
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994398
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 986976
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984162
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927977
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922512
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 914847
- New version 5.5.2

* Wed Dec 23 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 913662
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910692
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908853
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904406
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900714
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898301
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889524
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874736
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869653
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862543
- New version 5.3.95

* Mon Aug 03 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 860894
- Add back po files

* Sat Jul 18 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 854990
- Rebuild with new name
- New version 5.3.2

* Tue Feb 10 2015 lmenut <lmenut> 1.0.5-4.mga5
+ Revision: 814604
- add upstream patch to fix crash in XRandr1.1 backend (bko#341485)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 744607
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 681566
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 lmenut <lmenut> 1.0.5-1.mga5
+ Revision: 663104
- Update to 1.0.5

* Mon Jul 14 2014 lmenut <lmenut> 1.0.4-2.mga5
+ Revision: 651801
- libkscreen-devel requires qjson-devel

* Sat Jul 12 2014 lmenut <lmenut> 1.0.4-1.mga5
+ Revision: 651525
- update to 1.0.4
- switch to pkgconfig() style BRs

* Sat Nov 23 2013 lmenut <lmenut> 1.0.2-1.mga4
+ Revision: 552388
- Update to 1.0.2
  update License & project URL

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 531508
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.0.1-2.mga4
+ Revision: 463763
- new version 1.0.1

* Fri Jul 19 2013 lmenut <lmenut> 1.0-2.mga4
+ Revision: 456222
- bump release to be higher than in mga3 update

* Mon Jun 17 2013 fwang <fwang> 1.0-1.mga4
+ Revision: 444040
- bump libmajor
- new version 1.0

* Sun May 26 2013 neoclust <neoclust> 0.0.92-1.mga4
+ Revision: 428281
- New version 0.0.92

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-2.mga3
+ Revision: 392795
- Fix requires in the devel package

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392779
- imported package libkscreen

